phpCAS version 1.3.6

Protected Member Functions | List of all members
CAS_ProxiedService_Http_Get Class Reference
Inheritance diagram for CAS_ProxiedService_Http_Get:

## Protected Member Functions
| populateRequest (CAS_Request_RequestInterface $request)
Protected Member Functions inherited from CAS_ProxiedService_Http_Abstract
| makeRequest ($url)
| populateRequest (CAS_Request_RequestInterface $request)
| getRedirectUrl (array $responseHeaders)
| hasBeenSent ()
Protected Member Functions inherited from CAS_ProxiedService_Abstract
| getProxyTicket ()
| initializeProxyTicket ()

## Additional Inherited Members
Public Member Functions inherited from CAS_ProxiedService_Http_Abstract
| __construct (CAS_Request_RequestInterface $requestHandler, CAS_CookieJar $cookieJar)
| getServiceUrl ()
| setUrl ($url)
| send ()
| getResponseHeaders ()
| getResponseStatusCode ()
| getResponseBody ()
| getCookies ()
Public Member Functions inherited from CAS_ProxiedService_Abstract
| setProxyTicket ($proxyTicket)
| setCasClient (CAS_Client $casClient)
Public Member Functions inherited from CAS_ProxiedService
| getServiceUrl ()
| setProxyTicket ($proxyTicket)
Public Member Functions inherited from CAS_ProxiedService_Http
| setUrl ($url)
| send ()
| getResponseHeaders ()
| getResponseBody ()
Protected Attributes inherited from CAS_ProxiedService_Http_Abstract
| $requestHandler

## Detailed Description

This class is used to make proxied service requests via the HTTP GET method.

Usage Example:

     try {
        $service = phpCAS::getProxiedService(PHPCAS_PROXIED_SERVICE_HTTP_GET);
        $service->setUrl('http://www.example.com/path/');
        $service->send();
        if ($service->getResponseStatusCode() == 200)
                return $service->getResponseBody();
        else
                // The service responded with an error code 404, 500, etc.
                throw new Exception('The service responded with an error.');

        } catch (CAS_ProxyTicketException $e) {
         if ($e->getCode() == PHPCAS_SERVICE_PT_FAILURE)
                return "Your login has timed out. You need to log in again.";
        else
                // Other proxy ticket errors are from bad request format
         // (shouldn't happen) or CAS server failure (unlikely)
         // so lets just stop if we hit those.
                throw $e;
     } catch (CAS_ProxiedService_Exception $e) {
        // Something prevented the service request from being sent or received.
        // We didn't even get a valid error response (404, 500, etc), so this
        // might be caused by a network error or a DNS resolution failure.
        // We could handle it in some way, but for now we will just stop.
        throw $e;
     }

Definition at line 68 of file Get.php.

## Member Function Documentation

## ◆ populateRequest()

CAS_ProxiedService_Http_Get::populateRequest | ( | CAS_Request_RequestInterface | $request | ) |
| protected

Add any other parts of the request needed by concrete classes

Parameters

  CAS_Request_RequestInterface | $request | request interface

Returns
  void

Definition at line 79 of file Get.php.